# Copyright (c) 2022, JINGROW
# For license information, please see license.txt


from jingrow.custom.report.audit_system_hooks.audit_system_hooks import execute
from jingrow.tests.utils import JingrowTestCase


class TestAuditSystemHooksReport(JingrowTestCase):
	def test_basic_query(self):
		_, data = execute()
		for row in data:
			if row.get("hook_name") == "app_name":
				self.assertEqual(row.get("hook_values"), "jingrow")
				break
		else:
			self.fail("Failed to generate hooks report")
